Task executions
Fetches a list of TaskExecution.
Fetch existing task executions matching input filters.
GET
/
api
/
v1
/
task_executions
/
{node_execution_id.execution_id.project}
/
{node_execution_id.execution_id.domain}
/
{node_execution_id.execution_id.name}
/
{node_execution_id.node_id}
Fetches a list of TaskExecution.
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/task_executions/{node_execution_id.execution_id.project}/{node_execution_id.execution_id.domain}/{node_execution_id.execution_id.name}/{node_execution_id.node_id}import requests
url = "https://mycluster.domino.tech/flows/api/v1/task_executions/{node_execution_id.execution_id.project}/{node_execution_id.execution_id.domain}/{node_execution_id.execution_id.name}/{node_execution_id.node_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/task_executions/{node_execution_id.execution_id.project}/{node_execution_id.execution_id.domain}/{node_execution_id.execution_id.name}/{node_execution_id.node_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_executions": [
{
"closure": {
"created_at": "2023-11-07T05:31:56Z",
"custom_info": {},
"duration": "<string>",
"error": {
"code": "<string>",
"error_uri": "<string>",
"kind": "UNKNOWN",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"worker": "<string>"
},
"event_version": 123,
"log_context": {
"pods": [
{
"containers": [
{
"container_name": "<string>",
"process": {
"container_end_time": "2023-11-07T05:31:56Z",
"container_start_time": "2023-11-07T05:31:56Z"
}
}
],
"init_containers": [
{
"container_name": "<string>",
"process": {
"container_end_time": "2023-11-07T05:31:56Z",
"container_start_time": "2023-11-07T05:31:56Z"
}
}
],
"namespace": "<string>",
"pod_name": "<string>",
"primary_container_name": "<string>"
}
],
"primary_pod_name": "<string>"
},
"logs": [
{
"HideOnceFinished": true,
"ShowWhilePending": true,
"message_format": "UNKNOWN",
"name": "<string>",
"ttl": "<string>",
"uri": "<string>"
}
],
"metadata": {
"external_resources": [
{
"cache_status": "CACHE_DISABLED",
"custom_info": {},
"external_id": "<string>",
"index": 123,
"log_context": {
"pods": [
{
"containers": [
{
"container_name": "<string>",
"process": {
"container_end_time": "2023-11-07T05:31:56Z",
"container_start_time": "2023-11-07T05:31:56Z"
}
}
],
"init_containers": [
{
"container_name": "<string>",
"process": {
"container_end_time": "2023-11-07T05:31:56Z",
"container_start_time": "2023-11-07T05:31:56Z"
}
}
],
"namespace": "<string>",
"pod_name": "<string>",
"primary_container_name": "<string>"
}
],
"primary_pod_name": "<string>"
},
"logs": [
{
"HideOnceFinished": true,
"ShowWhilePending": true,
"message_format": "UNKNOWN",
"name": "<string>",
"ttl": "<string>",
"uri": "<string>"
}
],
"phase": "UNDEFINED",
"retry_attempt": 123,
"workflow_node_metadata": {
"execution_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
}
}
}
],
"generated_name": "<string>",
"instance_class": "DEFAULT",
"plugin_identifier": "<string>",
"resource_pool_info": [
{
"allocation_token": "<string>",
"namespace": "<string>"
}
]
},
"output_data": {
"literals": {}
},
"output_uri": "<string>",
"phase": "UNDEFINED",
"reason": "<string>",
"reasons": [
{
"message": "<string>",
"occurred_at": "2023-11-07T05:31:56Z"
}
],
"started_at": "2023-11-07T05:31:56Z",
"task_type": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"id": {
"node_execution_id": {
"execution_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
},
"node_id": "<string>"
},
"retry_attempt": 123,
"task_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
}
},
"input_uri": "<string>",
"is_parent": true
}
],
"token": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Name of the project the resource belongs to.
Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.
User or system provided value for the resource.
Query Parameters
Optional, org key applied to the resource.
Indicates the number of resources to be returned. +required
In the case of multiple pages of results, the server-provided token can be used to fetch the next page in a query. +optional
Indicates a list of filters passed as string. More info on constructing filters : +optional
Indicates an attribute to sort the response values. +required
Indicates the direction to apply sort key for response values. +optional
- DESCENDING: By default, fields are sorted in descending order.
Available options:
DESCENDING, ASCENDING Last modified on August 19, 2026
Related topics
Fetch a list of NodeExecution launched by the reference TaskExecution.Fetches a TaskExecution.Fetches input and output data for a TaskExecution.Fetch a list of Execution.Was this page helpful?
⌘I
Fetches a list of TaskExecution.
